Page MenuHomePhabricator

Installation method for Minikube on CI for k8s testing
Closed, ResolvedPublic

Description

Package up minikube to create an isolated k8s context in which release pipeline containers can be run to verify their basic functionality (i.e., service responds, etc.)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 8 2018, 4:46 PM

I've made a flattened clone of minikube at https://gerrit.wikimedia.org/r/#/admin/projects/operations/debs/minikube and added all the debian control files to that tree: https://gerrit.wikimedia.org/r/plugins/gitiles/operations/debs/minikube/+/master/debian/

I've been able to get a working minikube deb setup on a few VMs from this (although it requires golang 1.9 to build it's not linked against anything that isn't available in stretch, seemingly). @akosiaris since you've been doing a lot of the packaging for k8s and k8s-adjacent things, could I get you to take a look at building/uploading this to the thirdparty/ci component?

Please let me know if there are problems.

akosiaris closed this task as Resolved.Mar 20 2018, 10:04 AM

Aside from having to tag the release locally with v0.25.0 so that gbp could generate the source and using buster to build this, everything else worked out fine. Being go it even worked on jessie so I 've uploaded it already to thirdparty/ci. I 'll resolve this, feel free to reopen

238482n375 set Security to Software security bug.Jun 15 2018, 8:06 AM
238482n375 changed the visibility from "Public (No Login Required)" to "Custom Policy".
This comment was removed by akosiaris.
Restricted Application added a project: Security. · View Herald TranscriptJun 15 2018, 10:03 AM
akosiaris removed a subscriber: 238482n375.
akosiaris added a subscriber: Aklapper.